%global pkg_name HUnit

%global common_summary Haskell %{pkg_name} library

%global common_description HUnit is a unit testing framework for Haskell, inspired by the JUnit tool\
for Java.

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
# part of haskell-platform-2010.2.0.0
Version:        1.2.2.1
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hunit.sourceforge.net/
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
%if %{with hscolour}
BuildRequires:  hscolour
%endif

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%check
%cabal test


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install

# remove unwanted files
rm $RPM_BUILD_ROOT%{_bindir}/*-tests
rm -r $RPM_BUILD_ROOT%{_datadir}/%{pkg_name}-%{version}

echo %doc LICENSE >> %{name}.files
echo %doc README doc/Guide.html examples/Example.hs >> %{name}-devel.files


%clean
rm -rf $RPM_BUILD_ROOT


%ghc_lib_package -o 1.2.2.1-4


%changelog
* Sat Jul 31 2010 Jens Petersen <petersen@redhat.com> - 1.2.2.1-4
- ghc-rpm-macros-0.8.1 for doc obsoletes
- part of haskell-platform-2010.2.0.0
- add hscolour
- datadir filelist cleanup

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 1.2.2.1-3
- sync cabal2spec-0.22.1

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 1.2.2.1-2
- part of haskell-platform-2010.1.0.0
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 1.2.2.1-1
- update 1.2.2.1 (current haskell-platform-2009.3.1)
- remove test programs and move doc files to docdir
- add check section for test programs
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common summary and common_description
- use ghc_lib_package
- drop redundant buildroot and its install cleaning

* Wed Dec 23 2009 Jens Petersen <petersen@redhat.com> - 1.2.0.3-2
- update packaging for ghc-6.12.1
- added shared library support: needs ghc-rpm-macros 0.3.1

* Wed Aug 12 2009 Bryan O'Sullivan <bos@serpentine.com> - 1.2.0.3-1
- initial packaging for Fedora created by cabal2spec
